{"swagger":"2.0","info":{"description":"Authentication api specification","version":"1.0.0","title":"0Auth - Authentication api specification","termsOfService":"http://0auth.tk/terms/","contact":{"email":"0outh@0outh.com"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"host":"api.0auth.tk","basePath":"/v2","tags":[{"name":"0Auth","description":"0Auth","externalDocs":{"description":"Find out more","url":"http://0auth.tk"}}],"schemes":["http"],"paths":{"/authentication/login?app_id={app_id}&client_secret={client_secret}":{"get":{"summary":"Este serviço não retorna qualquer tipo de resposta.  O cliente é redicionado para redirect_url com o access token. Formato: {redirect_url}&?access_token={user_access_token}","description":"","operationId":"RequestUserAuthentication","consumes":["multipart/form-data"],"produces":["application/json"],"parameters":[{"name":"app_id","in":"path","description":"Aplication ID (Get it from http://test.0auth.tk/aplication/create) - Ex:422414414422414166422414073 ","required":true,"type":"string","format":"varchar(128)"},{"name":"client_secret","in":"path","description":"Client secret (Get it from http://test.0auth.tk/aplication/myapps) - Ex:1611059784.8fc635c.0bd910164aa84bd78d9b0873554230b8","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation"}}}},"/users/get-preferences":{"get":{"tags":["get user info"],"summary":"get user info","operationId":"getUserPreferences","description":"By passing in the user access_token, you can get the user profile info\n","produces":["application/json"],"parameters":[{"in":"query","name":"app_id","description":"Your Aplication ID (you can get it from http://test.0auth.tk/aplication/create) - Ex: 422414414422414166422414073","required":true,"type":"string"},{"in":"query","name":"access_token","description":"user AccessToken (EX: 1611059784.8fc635c.0bd910164aa84bd78d9b0873554230b8)","type":"string","required":true}],"responses":{"200":{"description":"successful","schema":{"type":"array","items":{"$ref":"#/definitions/UserPreferences"}}},"404":{"description":"Not found","schema":{"$ref":"#/definitions/Error"}}}}},"/users/get-info":{"get":{"tags":["get user info"],"summary":"get user info","operationId":"getUserInfo","description":"By passing in the user access_token, you can get the user profile info\n","produces":["application/json"],"parameters":[{"in":"query","name":"app_id","description":"Your Aplication ID (you can get it from http://test.0auth.tk/aplication/create) - Ex: 422414414422414166422414073","required":true,"type":"string"},{"in":"query","name":"access_token","description":"user AccessToken (EX: 1611059784.8fc635c.0bd910164aa84bd78d9b0873554230b8)","type":"string","required":true}],"responses":{"200":{"description":"successful","schema":{"$ref":"#/definitions/UserInfo"}},"404":{"description":"Not found","schema":{"$ref":"#/definitions/Error"}}}}}},"definitions":{"UserInfo":{"type":"object","required":["access_token","username","name","profile_url","profile_link","email","gender"],"properties":{"access_token":{"type":"string","format":"uuid","example":"1611059784.8fc635c.0bd910164aa84bd78d9b0873554230b8"},"username":{"type":"string","example":"leomessi"},"name":{"type":"string","format":"int32","example":"Leo Messi"},"profile_url":{"type":"string","example":"https://scontent-lhr3-1.cdninstagram.com/t51.2885-19/11374627_416190928582643_995636312_a.jpg"},"profile_link":{"type":"string","example":"https://www.instagram.com/leomessi"},"email":{"type":"string","example":"leomessi@mail.io"},"gender":{"type":"string","example":"male"}}},"UserPreferences":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","example":1},"value":{"type":"string","example":"travels"}}},"Error":{"required":["code","message"],"properties":{"code":{"type":"string","example":404},"message":{"type":"string","format":"url","example":"User Not foud"}}}}}